$(function() {
 
	// Asignar evento y función para limpiar los campos
    $('#busca').on('input', limpaCampos);
 
	// Dispara o Autocomplete a partir do segundo caracter	
    $( "#busca" ).autocomplete({
	    minLength: 2,
	    source: function( request, response ) {
	        $.ajax({
	            url: "consulta_sector.php",
	            dataType: "json",
	            data: {
	            	acao: 'autocomplete',
	                parametro: $('#busca').val()
	            },
	            success: function(data) {
	               response(data);
	            }
	        });
	    },
	    focus: function( event, ui ) {
	        $("#busca").val( ui.item.descripcion );
            $('#regional').val( ui.item.regional );			
            $('#provincia').val( ui.item.provincia );			
            $('#municipio').val( ui.item.municipio );			
	        //carregarDados();
	        return false;
	    },
	    select: function( event, ui ) {
	        $("#busca").val( ui.item.descripcion );
	        return false;
	    }
    })
	
    .autocomplete( "instance" )._renderItem = function( ul, item ) {
      return $( "<li>" )
        .append( "<a><b>PROVINCIA : </b>" + item.provincia + "<br><b>MUNICIPIO : </b>" + item.municipio + "<br><b>SECTOR .....: </b>" + item.descripcion + "</a><br>" )
        .appendTo( ul );
    };
 
	// Función para cargar los datos de la consulta en los campos respectivos	
    function carregarDados(){
    	var busca = $('#busca').val();
 
    	if(busca != "" && busca.length >= 2){
    		$.ajax({
	            url: "consulta_sector.php",
	            dataType: "json",	
	            data: {
	            	acao: 'consulta',
	                parametro: $('#busca').val()
	            },
	            success: function( data ) {
	               $('#regional').val(data[0].regional);
	               $('#provincia').val(data[0].provincia);
	               $('#municipio').val(data[0].municipio);
	            }
	        });
    	}
    }
 
	// Función para borrar los campos si la búsqueda está vacía
	
    function limpaCampos(){
       var busca = $('#busca').val();
 
       if(busca == ""){
           $('#regional').val('')
           $('#provincia').val('');
           $('#municipio').val('');
       }
    }
});
